%define major 0
%define api 2.0
%define libname %mklibname exttextcat %{api} %{major}
%define devname %mklibname exttextcat -d

Summary:	Text categorization library
Name:		libexttextcat
Version:	3.4.4
Release:	1
License:	BSD
Group:		System/Libraries
Url:		http://www.freedesktop.org/wiki/Software/libexttextcat
Source0:	http://dev-www.libreoffice.org/src/libexttextcat/%{name}-%{version}.tar.xz

%description
N-Gram-Based Text Categorization library primarily intended for language
guessing.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Text categorization library
Group:		System/Libraries
Requires:	%{name}-data >= %{EVRD}
Conflicts:	%{_lib}exttextcat0 < 3.3.1-8
Obsoletes:	%{_lib}exttextcat0 < 3.3.1-8

%description -n %{libname}
N-Gram-Based Text Categorization library primarily intended for language
guessing.

%files -n %{libname}
%{_libdir}/libexttextcat-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}
Provides:	textcat-devel = %{EVRD}

%description -n %{devname}
Development files and headers for %{name}.

%files -n %{devname}
%dir %{_includedir}/%{name}
%{_libdir}/libexttextcat-%{api}.so
%{_includedir}/%{name}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/libexttextcat.vapi

#----------------------------------------------------------------------------

%package tools
Summary:	Tool for creating custom document fingerprints
Group:		Publishing
Requires:	%{libname} = %{EVRD}
Conflicts:	%{_lib}textcat-devel < 3.3.1

%description tools
The %{name}-tools package contains the createfp program that allows
you to easily create your own document fingerprints.

%files tools
%{_bindir}/createfp

#----------------------------------------------------------------------------

%package data
Summary:	Data files for text categorization library
Group:		System/Libraries
Conflicts:	%{_lib}exttextcat0 < 3.3.1-4

%description data
Data files for %{name}.

%files data
%doc LICENSE README*
%{_datadir}/%{name}

#----------------------------------------------------------------------------

%prep
%setup -q

%build
mkdir -p m4
autoreconf -fi
%configure2_5x \
	--disable-static \

%make

%install
%makeinstall_std

%check
make check


%changelog

* Sat Apr 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.4.4-1
- (ebe5a73) New version 3.4.4, new API 2.0


